Package Details: mp3diags 1.2.03-4

Git Clone URL: https://aur.archlinux.org/mp3diags.git (read-only, click to copy)
Package Base: mp3diags
Description: Fix and identify issues with MP3 files
Upstream URL: http://mp3diags.sourceforge.net/
Licenses: GPL
Submitter: danym
Maintainer: None
Last Packager: rscholer
Votes: 59
Popularity: 0.000003
First Submitted: 2009-07-22 00:56
Last Updated: 2018-02-13 17:44

Latest Comments

« First ‹ Previous 1 2 3

dserban commented on 2012-02-11 20:04

I'm no longer interested in maintaining this package.

rtfreedman commented on 2012-02-10 22:25

I've modified your PKGBUILD to build either the stable or unstable branch from the release tar ball with very few adoptions.
# Maintainer: Dan Serban
# Contributors: Dany Martineau, Jordi De Groof
# Modified by: RTFreedman

pkgname=mp3diags-unstable
pkgver=1.1.12.068
pkgrel=1
pkgdesc="Identify issues with your MP3 files, fix some of these issues and make other changes"
url=http://mp3diags.sourceforge.net/
license=(GPL)
arch=(i686 x86_64)
depends=(boost-libs qt)
makedepends=(boost lynx)
optdepends=('mp3gain: MP3 normalization support')

# unstable branch
source=http://sourceforge.net/projects/mp3diags/files/unstable/mp3diags-src/MP3Diags-unstable-${pkgver}.tar.gz
# 1.1.12.068
md5sums=('40ca5493e820d0a5a0eef41e0ab323af')

# stable branch - just remove any '-unstable' from PKGBUILD & adjust pkgver
#source=http://sourceforge.net/projects/mp3diags/files/mp3diags-src/MP3Diags-${pkgver}.tar.gz
# 1.0.10.065
#md5sums=('5609f782b10d64d4262d3937fb52adea')

build()
{
cd "${srcdir}/MP3Diags-unstable-${pkgver}"
./AdjustMt.sh
qmake
make
mkdir -p "${pkgdir}"/usr/bin "${pkgdir}"/usr/share/applications
install -p -m755 bin/MP3Diags-unstable "${pkgdir}"/usr/bin/
install -p -m644 desktop/MP3Diags-unstable.desktop "${pkgdir}"/usr/share/applications/

mkdir -p "${pkgdir}"/usr/share/icons/hicolor/{16x16,22x22,24x24,32x32,36x36,40x40,48x48}/apps

install -p -m644 desktop/MP3Diags-unstable16.png "${pkgdir}"/usr/share/icons/hicolor/16x16/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable22.png "${pkgdir}"/usr/share/icons/hicolor/22x22/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable24.png "${pkgdir}"/usr/share/icons/hicolor/24x24/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable32.png "${pkgdir}"/usr/share/icons/hicolor/32x32/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable36.png "${pkgdir}"/usr/share/icons/hicolor/36x36/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable40.png "${pkgdir}"/usr/share/icons/hicolor/40x40/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable48.png "${pkgdir}"/usr/share/icons/hicolor/48x48/apps/MP3Diags-unstable.png
}

rtfreedman commented on 2012-01-16 19:11

Hi, I think your version is, at least a bit odd - for a couple of reason:
- doesn't allow to check for updates
- doesn't allow to determine the current state of development (of installed version)

If a build is done from a cvs/subversion/hg/nightly/etc.pp tree, pkgver should have a non-ambiguous string
reflecting the current state of development used, eg a date or revision.



jordidg commented on 2010-11-30 10:48

Adopted and updated dependencies